import { PolicyDocument, PolicyStatement } from "../../aws-iam";
import { Resource } from "../../core";
import { Construct } from 'constructs';
/**
 * Properties to define Cloudwatch log group resource policy
 */
export interface ResourcePolicyProps {
    /**
     * Name of the log group resource policy
     * @default - Uses a unique id based on the construct path
     */
    readonly policyName?: string;
    /**
     * Initial statements to add to the resource policy
     *
     * @default - No statements
     */
    readonly policyStatements?: PolicyStatement[];
}
/**
 * Creates Cloudwatch log group resource policies
 */
export declare class ResourcePolicy extends Resource {
    /**
     * The IAM policy document for this resource policy.
     */
    readonly document: PolicyDocument;
    constructor(scope: Construct, id: string, props?: ResourcePolicyProps);
}
